var activity_main = {
	data: {},
	dataInit: function() {
		activity_main.fn.initialize();
		activity_main.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function() {
			//活动类型
			$.ajax({
				type: 'GET',
				url: config.host + "activity/activity/getTypeList",
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						activity_main.fn.dataFill(list, 1);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
			//活动banner图
			$.ajax({
				type: 'GET',
				url: config.host + "banner/banner/getBannerList",
				data: {
					keytype: 1, //模块类型,1:活动,
					keyid: 0,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						activity_main.fn.dataFill(list, 2);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
			//活动列表
			activity_main.fn.activityList(0);
		},
		//活动列表
		activityList: function(type_id) {
			//活动banner图
			$.ajax({
				type: 'GET',
				url: config.host + "activity/activity/getActivityList",
				data: {
					type_id: type_id,
					page: 0,
					token:localStorage.getItem('token'),
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						activity_main.fn.dataFill(list, 3);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},

		dataFill: function(list, no) {
			if (list) {
				var data = {
					total:list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};
				if (no == 1) { //活动类型
					var html = template('activity_type', data);
					document.getElementById('activityType').innerHTML = html;
				} else if (no == 2) { //活动banner图
					var html = template('activity_banner', data);
					document.getElementById('activityBanner').innerHTML = html;
				} else if (no == 3) { //活动列表
					$.each(list.data, function(key, val) {
						var price=val.fee;
						val.fee = price.substring(0, price.length - 3);
						val.start_at = activity_main.fn.timeFormat(val.start_at);
					});
					var html = template('activity_list', data);
					document.getElementById('list_fabu').innerHTML = html;
				}
			}
		},

		tagFill: function() {
			var data = {
				bar_Title: '活动',
				ChaBuDaoXinXi: '查不到信息',
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
		},
		initialize: function() {
			activity_main.fn.tagFill();
		},
		cordavaDataGet: function() {
			activity_main.dataInit();
			activity_main.eventBind();
		},

		/////时间格式化
		timeFormat: function(time) {
			var t = Date.parse(time);
			var time;
			time = new Date(Date.parse(time.replace(/-/g, "/")));

			var year = time.getFullYear();
			var month = activity_main.fn.get_now_addzero(time.getMonth() + 1);
			var day = activity_main.fn.get_now_addzero(time.getDate());

			switch (time.getDay()) {
				case 0:
					week = "星期天";
					break
				case 1:
					week = "星期一";
					break
				case 2:
					week = "星期二";
					break
				case 3:
					week = "星期三";
					break
				case 4:
					week = "星期四";
					break
				case 5:
					week = "星期五";
					break
				case 6:
					week = "星期六";
					break
			}
			//格式为：年月日 时分秒 星期，如变更格式，请自行更新下方格式约束代码
			return year + "/" + month + "/" + day + "/ " + week;
		},
		get_now_addzero: function(temp) {
			if (temp < 10) return "0" + temp;
			else return temp;
		},

	}
}
Zepto(function($) {
	activity_main.fn.cordavaDataGet();
});