var cookbooks = {
	data: {

	},
	dataInit: function() {
		cookbooks.fn.initialize();
		cookbooks.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function(time) {
			//获取token
			var token = localStorage.getItem('token');
			var baby_id=JSON.parse(localStorage.getItem('babyOne')).id;
			//时间
			var date;
			if (time != null && time != "") {
				date = time;
			} else {
				var td = new Date();
				var my_this_date = config.Helpers.dateLocaleString(td);
				my_this_date = my_this_date.split('-').join('');
				date = config.Helpers.dateformat(my_this_date, "yyyy-MM-dd");
			}

			$.ajax({
				type: 'GET',
				url: config.host + "home/recipe/getRecipe",
				data: {
					token: token,
					date: date,
					baby_id: baby_id,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log(date);
						cookbooks.fn.dataFill(list);
					} else {
						$.alert(list.data);
					}

				},
				error: function(xhr, type) {
					$.alert('网络异常');
				}
			});

		},
		dataFill: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
				};
				var html = template('list_kq_content', data);
				document.getElementById('cook_content').innerHTML = html;
			}
		},
		tagFill: function() {
			var data = {
				bar_Title: '食谱',
			};
			var tem = template('page-calendar', data);
			document.getElementById('page-calendar').innerHTML = tem;
		},
		cordavaDataGet: function() {
			cookbooks.dataInit();
			cookbooks.eventBind();
		},
		initialize: function() {
			cookbooks.fn.tagFill();
		},
	}
}
Zepto(function($) {
	cookbooks.fn.cordavaDataGet();
});