var tiaozao_liulanjilu = {
	data: {},
	dataInit: function() {
		tiaozao_liulanjilu.fn.initialize();
		tiaozao_liulanjilu.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function() {
			//获取浏览记录
			$.ajax({
				type: 'GET',
				url: config.host + "market/market/getMarketList",
				data: {
					keytype: 5, // 1:获取置顶推荐的列表,2:获取普通列表,3:获取自己发布的列表,4:获取收藏的列表
					token: localStorage.getItem('token'), //登录令牌,可选项,当keytype=3,4时必须传
					type_id: 0, //类别id,如果要获取全部类别, 传0
					page: 0, //页码,默认传0,如果不需要分页的列表也传0
					list_num: 0, //限制获取列表项的数目,如果使用系统默认数量,传0
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						tiaozao_liulanjilu.fn.dataFill(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},

		dataFill: function(list) {
			if (list) {
				var data = {
					list: list,
					host: localStorage.getItem('file'),
				};
				$.each(list.data, function(key, val) {
					
					$.each(val.list, function(keys, vals) {
						vals.price = vals.price.substring(0, vals.price.length - 3);
						vals.old_price = vals.old_price.substring(0, vals.old_price.length - 3);
					});

				});
				$.each(list.data, function(i, times) {
					console.log(times.timeslot);
				});
				var html = template('list_kq_content', data);
				document.getElementById('look').innerHTML = html;
			}
		},

		tagFill: function() {
			var data = {
				bar_Title: '浏览记录',
				ChaBuDaoXinXi: '查不到信息',
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
		},
		initialize: function() {
			tiaozao_liulanjilu.fn.tagFill();
		},
		cordavaDataGet: function() {
			tiaozao_liulanjilu.dataInit();
			tiaozao_liulanjilu.eventBind();
		},
	}
}
Zepto(function($) {
	tiaozao_liulanjilu.fn.cordavaDataGet();
});