var contactslist = {
	data: {},
	dataInit: function() {
		contactslist.fn.initialize();
		contactslist.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function() {
			var token = localStorage.getItem('token');
			var baby_id=JSON.parse(localStorage.getItem('babyOne')).id;
			$.ajax({
				type: 'GET',
				url: config.host + "home/contacts/getList",
				data: {
					token: token,
					keytype: '1', //老师联系方式
					baby_id: baby_id,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						contactslist.fn.dataFill(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
			$.ajax({
				type: 'GET',
				url: config.host + "home/contacts/getList",
				data: {
					token: token,
					keytype: '2', //家长联系方式
					baby_id: baby_id,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						contactslist.fn.dataFills(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});

		},
		dataFill: function(list) { //老师的列表
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};
			
				var html = template('list_kq_content', data);
				document.getElementById('teacher_list').innerHTML = html;
			}
		},
		dataFills: function(list) { //家长的列表
			if (list) {
				var data = {
					total:  list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};
				var html = template('list_kq_list', data);
				document.getElementById('par_list').innerHTML = html;
			}
		},
		tagFill: function() {
			var data = {
				bar_Title: '通讯录',
				ChaBuDaoXinXi: '查不到信息',
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
		},
		initialize: function() {
			contactslist.fn.tagFill();
		},
		cordavaDataGet: function() {
			contactslist.dataInit();
			contactslist.eventBind();
		},
	}
}
Zepto(function($) {
	contactslist.fn.cordavaDataGet();
});