var find_main = {
	data: {},
	dataInit: function() {
		find_main.fn.initialize();
		find_main.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function() {
			var token = localStorage.getItem('token');
			//获取的置顶消息
			$.ajax({
				type: 'GET',
				url: config.host + "market/market/getMarketList",
				data: {
					keytype: 1, //置顶推荐的列表
					token: token,
					type_id: 0, //类别id
					page: 0,
					list_num: 0, //列表的数目
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						find_main.fn.dataFill(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
			//获取的普通消息列表
			find_main.fn.getMarketList(0);
			//			推介服务的banner轮播
			find_main.fn.bannerList();

			//跳蚤市场的类别列表
			$.ajax({
				type: 'GET',
				url: config.host + "market/market/getTypeList",
				data: {
					parentid: 0,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						find_main.fn.dataType(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		dataType: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					imghost: localStorage.getItem('file'),
				};
				var html = template('marketType', data);
				document.getElementById('market_type').innerHTML = html;
			}
		},
		dataFill: function(list) {
			if (list) {

				var data = {
					total: list.data.length,
					list: list,
					imghost: localStorage.getItem('file'),
				};
				$.each(list.data, function(key, val) {

					val.price = val.price.substring(0, val.price.length - 3);

				});

				var html = template('list_kq_content', data);
				document.getElementById('topList').innerHTML = html;
			}
		},
		dataFills: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					imghost: localStorage.getItem('file'),
				};

				$.each(list.data, function(key, val) {

					val.price = val.price.substring(0, val.price.length - 3);
					var old_price = val.old_price;
					val.old_price = old_price.substring(0, old_price.length - 3);
				});

				var html = template('market_list', data);
				document.getElementById('marketList').innerHTML = html;
			}
		},
		tagFill: function() {
			var data = {
				bar_Title: '发现',
				ChaBuDaoXinXi: '查不到信息',
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
		},
		initialize: function() {
			find_main.fn.tagFill();
		},
		cordavaDataGet: function() {
			find_main.dataInit();
			find_main.eventBind();
		},
		///////////////////////////////////////////////////////////
		getMarketList: function(type) {
			$.ajax({
				type: 'GET',
				url: config.host + "market/market/getMarketList",
				data: {
					keytype: 2, //普通列表
					token: localStorage.getItem('token'),
					type_id: type, //类别id
					page: 0,
					list_num: 0, //列表的数目
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						find_main.fn.dataFills(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		//早教中心的地区获取
		getAddressList: function() {
			$.ajax({
				type: 'GET',
				url: config.host + "index/Area/getAddressList",
				data: {
					keytype: 2,
					parent_no: 311700,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						var data = {
							total: list.data.length,
							list: list,
						};
						var html = template('zaojiao_address', data);
						document.getElementById('address').innerHTML = html;
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		//早教中心列表
		getZaojiao: function(no) {
			$.ajax({
				type: 'GET',
				url: config.host + "education/education/getEducationList",
				data: {
					area_no: no,
					type_id: 0,
					page: 0,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log(localStorage.getItem('token'));
					if (list.status == 1) {
						console.log("请求成功");
						find_main.fn.zaoJiaoFills(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		zaoJiaoFills: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					imghost: localStorage.getItem('file'),
				};
				var html = template('zaojiaoList', data);
				document.getElementById('zaojiao_list').innerHTML = html;
			}
		},
		//		早教中心报名
		apply: function(education_id) {
			var timestamp = new Date().getTime();
			$.ajax({
				type: 'GET',
				url: config.host + "education/education/apply",
				data: {

					token: localStorage.getItem('token'),
					education_id: education_id, //早教机构主键id
					name: "", //报名人
					appointment_date: "", //预约日期, YYYY-mm-dd
					mobile: "", //报名人电话
					timestamp: timestamp, //当前时间戳
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						find_main.fn.applyFills(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		applyFills: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					imghost: localStorage.getItem('file'),
				};
				var html = template('zaojiaoList', data);
				document.getElementById('zaojiao_list').innerHTML = html;
			}
		},
		//获取推介的banner图
		bannerList: function() {
			$.ajax({
				type: 'GET',
				url: config.host + "banner/banner/getBannerList",
				data: {
					keytype: 4,
					keyid: 0,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						find_main.fn.bannerListFills(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		bannerListFills: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					imghost: localStorage.getItem('file'),
				};
				var html = template('bannerList', data);
				document.getElementById('slider-box').innerHTML = html;
			}
		},
		//		推介服务区
		//////////////////////////////////////////
		//推介服务置顶
		tuijieTop: function() {
			console.log(config.host);
			$.ajax({
				type: 'GET',
				url: config.host + "advertising/advertising/getAdvertisingList",
				data: {
					area_no:311700,
					keytype:1,//获取类型, 1:获取置顶推荐的列表,2:获取普通列表
					type_id:0,//类别id,如果要获取全部类别, 传0
					page:0,//页码,默认传0,如果不需要分页的列表也传0
					list_num:3,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						find_main.fn.tuijieTopFills(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		tuijieTopFills: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					imghost: localStorage.getItem('file'),
				};
				var html = template('tuijieTop', data);
				document.getElementById('tuijie_top').innerHTML = html;
			}
		},
		//推介服务类型
		tuijieType: function() {
			$.ajax({
				type: 'GET',
				url: config.host + "advertising/advertising/getTypeList",
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						find_main.fn.tuijieTypeFills(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		tuijieTypeFills: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					imghost: localStorage.getItem('file'),
				};
				var html = template('tuijieType', data);
				document.getElementById('tuijie_type').innerHTML = html;
			}
		},
		//推介服务列表
		tuijieList: function(type_id) {
			$.ajax({
				type: 'GET',
				url: config.host + "advertising/advertising/getAdvertisingList",
				data: {
					area_no:311700,
					keytype: 2, //获取类型, 1:获取置顶推荐的列表,2:获取普通列表
					type_id: type_id, //类别id,如果要获取全部类别, 传0
					page: 0, //页码,默认传0,如果不需要分页的列表也传0
					list_num: 0,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						find_main.fn.tuijieListFills(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		tuijieListFills: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					imghost: localStorage.getItem('file'),
				};
				var html = template('tuijieList', data);
				document.getElementById('tuijie_list').innerHTML = html;
			}
		},

	}
}
Zepto(function($) {
	find_main.fn.cordavaDataGet();
});