var tiaozao_add = {
	data: {},
	dataInit: function() {
		tiaozao_add.fn.initialize();
		tiaozao_add.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function() {
			var url = location.href;
			var mid = url.substring(url.indexOf("=") + 1, url.length);
			//获取商品类型
			$.ajax({
				type: 'GET',
				url: config.host + "market/market/getTypeList",
				data: {
					parentid: 0,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						tiaozao_add.fn.dataFill(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},

		dataFill: function(list) {

			if (list) {
				var data = {
					list: list,
					host: localStorage.getItem('file'),
				};
				var html = template('list_kq_content', data);
				document.getElementById('type').innerHTML = html;
			}
		},
		//////////////////////////////////////////////
		//保存
		save: function() {
			var token = localStorage.getItem('token');
			if (token == null) {
				$.confirm('您还没有登陆，请先登陆', function() {
					window.location.href = '../login_register/login.html';
				});
			} else {
				var images = document.getElementById('images').src;
				var title = document.getElementById('biaoti').value;
				var content = document.getElementById('content').value;
				var sel = document.getElementById('type');
				var type_id = sel.options[sel.selectedIndex].id;
				var shoujia = document.getElementById('shoujia').value;
				var jinjia = document.getElementById('jinjia').value;
				var dianhua = document.getElementById('dianhua').value;
				var weizhi = document.getElementById('weizhi').value;
				var token = localStorage.getItem('token');
				$.ajax({
					type: 'GET',
					url: config.host + "market/market/saveMarket",
					data: {
						token: token,
						id: 0, //可选项,物品主键id,默认0,如果大于0表示修改物品,等于0表示新增
						title: title, //标题
						content: content, //描述
						mobile: dianhua, //联系电话
						type_id: type_id, //类别id
						price: shoujia, //期望价格
						old_price: jinjia, //购入价格
						province: '山东省', //所在省份
						city: '济南市', //城市
						district: '高新区', //所在地区
						address: weizhi, //详细地址, 不包含省市区的部分
					},
					dataType: "jsonp",
					success: function(list) {
						console.log("请求成功");
						if (list.status == 1) {
							$.alert('物品保存成功');
							window.location.href = "find_tiaozao_content.html?id=" + list.data.market_id;
						} else {
							$.alert(list.data);
						}
					},
					error: function(xhr, type) {
						console.log("网络异常");
						$.alert('网络异常');
					}
				});
			}

		},
		tagFill: function() {
			var data = {
				bar_Title: '发现',
				ChaBuDaoXinXi: '查不到信息',
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
		},
		initialize: function() {
			tiaozao_add.fn.tagFill();
		},
		cordavaDataGet: function() {
			tiaozao_add.dataInit();
			tiaozao_add.eventBind();
		},
	}
}
Zepto(function($) {
	tiaozao_add.fn.cordavaDataGet();
});