var tiaozao_content = {
	data: {},
	dataInit: function() {
		tiaozao_content.fn.initialize();
		tiaozao_content.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function() {
			var url = location.href;
			var mid = url.substring(url.indexOf("=") + 1, url.length);
			//跳蚤市场商品详情
			$.ajax({
				type: 'GET',
				url: config.host + "market/market/getMarketOne",
				data: {
					market_id: mid,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						tiaozao_content.fn.dataFill(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
			//跳蚤市场点赞用户
			tiaozao_content.fn.zanList();
			//跳蚤市场评论列表
			tiaozao_content.fn.getReplyList();
			
		},
		//跳蚤市场评论列表
		getReplyList:function(){
			var url = location.href;
			var mid = url.substring(url.indexOf("=") + 1, url.length);
			$.ajax({
				type: 'GET',
				url: config.host + "reply/reply/getReplyList",
				data: {
					keytype: 2,
					keyid: mid,
					page: 0,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						tiaozao_content.fn.dataFillss(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},
		zanList:function(){
			var url = location.href;
			var mid = url.substring(url.indexOf("=") + 1, url.length);
			$.ajax({
				type: 'GET',
				url: config.host + "approval/approval/getUserListAboutApproval",
				data: {
					keytype: 2,
					keyid: mid,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						tiaozao_content.fn.dataFills(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},
		dataFill: function(list) {
			var price = list.data.price;
			list.data.price = price.substring(0, price.length - 3);
			var old_price = list.data.old_price;
			list.data.old_price = old_price.substring(0, old_price.length - 3);
			if (list) {
				var data = {
					list: list,
					host: localStorage.getItem('file'),
				};
				
				var imgObj = document.getElementById("dz");
				var is_approval=list.data.isApproval;
				if(is_approval==0){//没有点赞
					imgObj.src = "../res/img/botton_Thumb-up_normal.png";
				}else if(is_approval==1){//已经点赞
					imgObj.src = "../res/img/botton_Thumb-up_click.png";
				}
				
				var html = template('list_kq_content', data);
				document.getElementById('market_content').innerHTML = html;
			}
		},
		dataFills: function(list) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};
				
				var html = template('zanlist', data);
				document.getElementById('jiazhang_groups').innerHTML = html;
			}
		},
		dataFillss: function(list) {

			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};

				var html = template('pinglunlist', data);
				document.getElementById('pinglunList').innerHTML = html;
			}
		},
		tagFill: function() {
			var data = {
				bar_Title: '',
				ChaBuDaoXinXi: '查不到信息',
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
		},
		initialize: function() {
			tiaozao_content.fn.tagFill();
		},
		cordavaDataGet: function() {
			tiaozao_content.dataInit();
			tiaozao_content.eventBind();
		},
		//支持和反对
		zan: function(type) {
			var url = location.href;
			var mid = url.substring(url.indexOf("=") + 1, url.length);
			$.ajax({
				type: 'GET',
				url: config.host + "approval/approval/chg",
				data: {
					token: localStorage.getItem('token'),
					keytype: 2,
					keyid: mid,
					type: type, //1支持，2反对
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						$.alert(list.data);
						var imgObj = document.getElementById("dz");
				if (imgObj.getAttribute("src", 2) == "../res/img/botton_Thumb-up_normal.png") {
//					点赞操作
					imgObj.src = "../res/img/botton_Thumb-up_click.png";
					
					
				} else {
//					取消点赞
					imgObj.src = "../res/img/botton_Thumb-up_normal.png";
					
				}
						//跳蚤市场点赞用户
						tiaozao_content.fn.zanList();
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},
		//发送评论
		addReply:function(){
			var content=document.getElementById('text').value;
			var url = location.href;
			var mid = url.substring(url.indexOf("=") + 1, url.length);
			var token=localStorage.getItem('token');			
			$.ajax({
				type: 'GET',
				url: config.host + "reply/reply/addReply",
				data: {
					token: localStorage.getItem('token'),
					touid:0,
					parentid:0,
					keytype:2,//1:活动模块,2:跳蚤市场,3:早教中心,4:推介服务,5:时光轴
					keyid:mid,
					content:content,		
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						$.alert(list.data);
						document.getElementById('pinglun').style.display='none';
						//跳蚤市场点赞用户
						tiaozao_content.fn.getReplyList();
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},
	}
}
Zepto(function($) {
	tiaozao_content.fn.cordavaDataGet();
});