var tiaozao_wode = {
	data: {},
	dataInit: function() {
		tiaozao_wode.fn.initialize();
		tiaozao_wode.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function() {
			//我发布的
			tiaozao_wode.fn.myMarket();
			//我的收藏
			tiaozao_wode.fn.myCollection();
			//我的浏览记录
			tiaozao_wode.fn.myLook();
		},
		//我发布的信息
		myMarket: function() {
			$.ajax({
				type: 'GET',
				url: config.host + "market/market/getMarketList",
				data: {
					keytype: 3, // 1:获取置顶推荐的列表,2:获取普通列表,3:获取自己发布的列表,4:获取收藏的列表
					token: localStorage.getItem('token'), //登录令牌,可选项,当keytype=3,4时必须传
					type_id: 0, //类别id,如果要获取全部类别, 传0
					page: 0, //页码,默认传0,如果不需要分页的列表也传0
					list_num: 3, //限制获取列表项的数目,如果使用系统默认数量,传0
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						tiaozao_wode.fn.dataFill(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},
		//我收藏的信息
		myCollection: function() {
			$.ajax({
				type: 'GET',
				url: config.host + "market/market/getMarketList",
				data: {
					keytype: 4, // 1:获取置顶推荐的列表,2:获取普通列表,3:获取自己发布的列表,4:获取收藏的列表
					token: localStorage.getItem('token'), //登录令牌,可选项,当keytype=3,4时必须传
					type_id: 0, //类别id,如果要获取全部类别, 传0
					page: 0, //页码,默认传0,如果不需要分页的列表也传0
					list_num: 3, //限制获取列表项的数目,如果使用系统默认数量,传0
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						tiaozao_wode.fn.collection(list);

					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},
		//我的浏览记录
		myLook: function() {
			$.ajax({
				type: 'GET',
				url: config.host + "market/market/getMarketList",
				data: {
					keytype: 5, // 1:获取置顶推荐的列表,2:获取普通列表,3:获取自己发布的列表,4:获取收藏的列表
					token: localStorage.getItem('token'), //登录令牌,可选项,当keytype=3,4时必须传
					type_id: 0, //类别id,如果要获取全部类别, 传0
					page: 0, //页码,默认传0,如果不需要分页的列表也传0
					list_num: 3, //限制获取列表项的数目,如果使用系统默认数量,传0
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						tiaozao_wode.fn.look(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},
		dataFill: function(list) {
			if (list) {
				var data = {
					total:list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};
				$.each(list.data, function(key,val) {
					val.price = val.price.substring(0, val.price.length - 3);
				});
				var html = template('list_kq_content', data);
				document.getElementById('wodefabu-ime-content').innerHTML = html;
			}
		},
	
		collection: function(list) {
			if (list) {
				var data = {
					total:list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};
				$.each(list.data, function(key,val) {
					val.price = val.price.substring(0, val.price.length - 3);
				});
				var html = template('my_collection', data);
				document.getElementById('wodefabu-img-content').innerHTML = html;
			}
		},
	look: function(list) {
			if (list) {
				var data = {
					total:list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};
				$.each(list.data, function(key,val) {
					val.price = val.price.substring(0, val.price.length - 3);
				});

			
				var html = template('browse', data);
				document.getElementById('look').innerHTML = html;
			}
		},
		tagFill: function() {
			var data = {
				bar_Title: '我的市场',
				ChaBuDaoXinXi: '查不到信息',
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
		},
		initialize: function() {
			tiaozao_wode.fn.tagFill();
		},
		cordavaDataGet: function() {
			tiaozao_wode.dataInit();
			tiaozao_wode.eventBind();
		},

	}
}
Zepto(function($) {
	tiaozao_wode.fn.cordavaDataGet();
});