var home_signin = {
	data: {},
	dataInit: function() {
		home_signin.fn.initialize();
	},
	eventBind: function() {
		
	},
	fn: {
		initialize: function() {
			home_signin.fn.tagFill();
		},
		tagFill: function() {
			
			var one=JSON.parse(localStorage.getItem('babyOne'));
			
				if(one == null){
				
				var url = config.host + "/home/baby/getList";
				var token = localStorage.getItem('token');
				
				var data = {token:token};
				
				http_request(url,data,_fillFirstChildInfo,home_signin.fn.errFunc);
				
			}else{
				
				home_signin.fn.babyFill(one);
				home_signin.fn.panelLeftFill(one);
				
			}
			
			function _fillFirstChildInfo (list){
				
				if(typeof(list) !== undefined && list.length > 0){
					one = list[0];
				}else{
					one = null;
				}
				
				localStorage.setItem('babyOne', JSON.stringify(one));
				
				home_signin.fn.babyFill(one);
				home_signin.fn.panelLeftFill(one);
				
			}
		},
		//根据baby id 填充baby信息,暂时还没用到
//		babyFillById: function(baby_id){
//			
//			var url = config.host + "/home/baby/getOne";
//			var token = localStorage.getItem('token');
//			
//			var data = {
//				token:token,
//				baby_id:baby_id
//			};
//			
//			http_request(url,data,_selfFill(data),home_signin.fn.errFunc());
//			
//			function _selfFill (one){
//				localStorage.setItem('babyOne', JSON.stringify(data.data));
//				home_signin.fn.babyFill(one);
//			}
//			
//		},
		//家园顶部baby信息填充
		babyFill: function (one){
			
			var imgs,birthday,name;
			
			if(one == null || one.avatar==""){
				imgs='../res/img/touxiang@1x.png';
				birthday = "2010-01-01";
				name = "伊呗宝宝";
			}else{
				imgs=localStorage.getItem('file')+one.avatar;
				birthday = one.birthday;
				name = one.name;
			}
			
			var data = {
				Title_JiaYuan: '家园',
				ChaBuDaoXinXi: '查不到信息',
				birthday:birthday,
				avatarimg:imgs,
				name:name
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
			
		},
		/**
		 * 
		 * @param {Object} one 选中的孩子
		 */
		panelLeftFill: function(one){
			
			var url = config.host + '/home/baby/getFamilyList';
			var token = localStorage.getItem('token');
			
			if(one !== null){
				
				var baby_id = one.id; 
				
				if( baby_id > 0){
					
					var data = {
						token:token,
						baby_id:baby_id
					}
					
					http_request(url,data,_panelLeftFamilyFill);
					
				}
				
				_panelLeftBabyFill(one);
				
			}else{
				_panelLeftFamilyFill(null);
				_panelLeftBabyFill(null);
			}
			
			//填充侧边栏家长列表数据
			function _panelLeftFamilyFill(list){
				
				var host = localStorage.getItem('file');
				var total;
				
				if (list !== null) {
					total = list.length;
				}else{
					total = 0;
				}
				
				var data = {
					total: total,
					list: list,
					host: host
				};
				
				var html = template('panel_left_family_tpl', data);
				document.getElementById('panel_left_family').innerHTML = html;
				
			}
			
			//填充侧边栏baby信息
			function _panelLeftBabyFill(one){
				
				var imgs,
					name,
					school_name,
					sex,avatarimg;
				
				var host = localStorage.getItem('file');
				
				if(one !== null){
					imgs = ( one.avatar == "") ? '../res/img/touxiang@1x.png' : localStorage.getItem('file')+one.avatar;
					name = one.name;
					school_name = one.school_name;
					sex = one.sex;
				}else{
					imgs='../res/img/touxiang@1x.png';
					name = "伊呗宝宝";
					school_name = "伊呗家园";
					sex = "男";
				}
				
				var data = {
					host: host,
					name: name,
					school_name: school_name,
					sex: sex,
					avatarimg: imgs,
				};
				
				var html = template('panel_left_baby_tpl', data);
				document.getElementById('panel_left_baby').innerHTML = html;
				
			}
			
			
		},
		errFunc: function(){
			$.alert('服务器繁忙,稍后重试');
		},
		cordavaDataGet: function() {
			home_signin.dataInit();
			home_signin.eventBind();
		},
		returns:function(no) {
				var token = localStorage.getItem('token');
				if (token == null) {
					$.alert('请先加入班级');
				} else {
					if (no == 1) {
						window.location.href = '../class/contactslist.html';
					} else if (no == 2) {
						window.location.href = 'classphotos.html';
					} else if (no == 3) {
						window.location.href = '../notice/notice_list.html';
					} else if (no == 4) {
						window.location.href = '../cookbooks/cookbooks.html';
					} else if (no == 5) {
						window.location.href = '../homework/homework.html';
					} else if (no == 6) {
						window.location.href = 'teachercomments.html';
					} else if (no == 7) {
						window.location.href = '../timetable/timetable.html';
					} else if (no == 8) {
						window.location.href = 'checkin.html';
					}
				}
			}
		
	}
}
Zepto(function($) {
	home_signin.fn.cordavaDataGet();
});