﻿var homework = {
	data: {},
	dataInit: function() {
		homework.fn.initialize();
		homework.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function(time) {
			var token = localStorage.getItem('token');
			var baby_id=JSON.parse(localStorage.getItem('babyOne')).id;
			//时间
			var date;
			if (time != null && time != "") {
				date = time;
			} else {
				var td = new Date();
				var my_this_date = config.Helpers.dateLocaleString(td);
				my_this_date = my_this_date.split('-').join('');
				date = config.Helpers.dateformat(my_this_date, "yyyy-MM-dd");
			}
			$.ajax({
				type: 'GET',
				url: config.host + "home/homework/getHomeworkList",
				data: {
					token: token,
					date: date,
					baby_id:baby_id,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						$.each(list.data, function(kk, vv) {
							vv.created_time = homework.fn.to_datetime(vv.created_time);
						});
						homework.fn.dataFill(list);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("请求失败");
					$.alert('网络异常');
				}
			});

		},
		dataFill: function(list) {
			if (list) {
				var data = {
					total:list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};
				var html = template('list_kq_content', data);
				document.getElementById('work_list').innerHTML = html;
			}
		},
		tagFill: function() {
			var data = {
				bar_Title: '家庭作业',
				ChaBuDaoXinXi: '查不到信息',
			};

			var tem = template('page-calendar', data);
			document.getElementById('page-calendar').innerHTML = tem;
		},
		initialize: function() {
			homework.fn.tagFill();
		},
		cordavaDataGet: function() {
			homework.dataInit();
			homework.eventBind();
		},
		to_datetime: function(date) {
			var time = new Date(date * 1000);
			var year = time.getFullYear();
			var month = get_now_addzero(time.getMonth() + 1);
			var day = get_now_addzero(time.getDate());
			return year + "年" + month + "月" + day + "日 ";
		},
	}
}
Zepto(function($) {
	homework.fn.cordavaDataGet();
});