var add_baby3 = {
	data: {},
	dataInit: function() {
		add_baby3.fn.initialize();
		add_baby3.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function() {
			//区域
			$.ajax({
				type: 'GET',
				url: config.host + "index/Area/getAddressList",
				data: {
					keytype: 2,
					parent_no: 311700,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						var data = {
							total: list.data.length,
							list: list,
						};
						var html = template('addRess', data);
						document.getElementById('address').innerHTML = html;
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});
		},
		schoolList: function() {
			var area_name = document.getElementById("select1").options[document.getElementById("select1").selectedIndex].text;

			//根据区域显示幼儿园
			$.ajax({
				type: 'GET',
				url: config.host + "home/school/getList",
				data: {
					keytype: 3,
					area_name: area_name,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						var data = {
							total: list.data.length,
							list: list,
						};
						var html = template('school_list', data);
						document.getElementById('schoolList').innerHTML = html;
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});

		},
		className: function() {
			var name = document.getElementById("select2").options[document.getElementById("select2").selectedIndex].value;
			//根据幼儿园显示班级
			$.ajax({
				type: 'GET',
				url: config.host + "home/school/getClassListBySchoolId",
				data: {
					school_id: name,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						var data = {
							total: list.data.length,
							list: list,
						};
						var html = template('class_list', data);
						document.getElementById('classList').innerHTML = html;
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});

		},

		tagFill: function() {
			var data = {
				bar_Title: '学校信息',
				ChaBuDaoXinXi: '查不到信息',
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
		},
		initialize: function() {
			add_baby3.fn.tagFill();
		},
		cordavaDataGet: function() {
			add_baby3.dataInit();
			add_baby3.eventBind();
		},
		babyinfo_save: function() {
			var name = localStorage.getItem('a1');
			var sex = localStorage.getItem('a2');
			var data_img=localStorage.getItem('a0');
			var sexx;
			if (sex == '男') {
				sexx = 1;
			} else {
				sexx = 0;
			}
			var age = localStorage.getItem('a3');
			
			var guanxi = localStorage.getItem('a4');
			localStorage.getItem('a1', '');
			localStorage.getItem('a2', '');
			localStorage.getItem('a3', '');
			localStorage.getItem('a4', '');
			localStorage.getItem('a0', '');
			
			var school_id = document.getElementById("select2").options[document.getElementById("select2").selectedIndex].value;
			var class_id = document.getElementById("select3").options[document.getElementById("select3").selectedIndex].value;
			
			var babyjoinin = document.getElementById('babyjoinin').value;
			var results = babyjoinin.replace(/(^\s+)|(\s+$)/g, "");
			if ("g".toLowerCase() == "g") {
				results = results.replace(/\s/g, "");
			}
			
			age = age.replace(/[^\d]/g,'-');
			
			results = results.replace(/[^\d]/g,'-');
			//添加宝贝操作
			$.ajax({
				type: 'GET',
				url: config.host + "home/baby/addBaby",
				data: {
					token: localStorage.getItem('token'),
					avatar:data_img,
					name: name,
					sex: sexx,
					birthday: age,
					identity: guanxi,
					school_id: school_id,
					class_id: class_id,
					join_date: results,
				},
				dataType: "jsonp",
				success: function(list) {
					if (list.status == 1) {
						console.log("请求成功");
						window.location.href = '../home/main.html';
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常,请求失败");
					$.alert('网络异常');
				}
			});

		},
	}
}
Zepto(function($) {
	add_baby3.fn.cordavaDataGet();
});